### Function

# GObject source_set_closure

#### Declaration

    void
    g_source_set_closure (
      GSource* source,
      GClosure* closure
    )

#### Description

Set the callback for a source as a `GClosure`.

If the source is not one of the standard GLib types, the `closure_callback` and `closure_marshal` fields of the `GSourceFuncs` structure must have been filled in with pointers to appropriate functions.

#### Parameters

`source`

  Type: `GSource`

  The source.

  The data is owned by the caller of the function.

`closure`

  Type: `GClosure`

  A `GClosure`.

  The data is owned by the caller of the function.